from __future__ import annotations
import os
from typing import Callable, TYPE_CHECKING

if TYPE_CHECKING:
    from bot.translator import Translator

app_name = "PandoraBox"
app_version = "2.3.5"
client_name = app_name + "-V" + app_version
about_text: Callable[[Translator], str] = lambda translator: translator.translate(
    """\
A media streaming bot for TeamTalk.
Authors: Amir Gumerov, Vladislav Kopylov, Beqa Gozalishvili, Kirill Belousov.
Home page: https://github.com/gumerov-amir/TTMediaBot
License: MIT License\
"""
)
start_bottt: Callable[[Translator], str] = lambda translator: translator.translate(
    """\
Hello there!
I'm PandoraBox, your go-to companion for discovering amazing songs and audio through YouTube, Yandex Music, and VK.
Hosted on Pandora's server, I'm all set to bring audio magic to your TeamTalk experience.
To get started, simply send me a private message with a specific command.
Here's how you can interact with me:
- help: Receive a handy guide to all the commands you can use, delivered straight to your private message.
- contacts: Get contact information sent directly to your private message.
- log: Check out the change log file.
If you encounter any issues or want to chat with us, feel free to reach out.
Thank you for choosing our service, and have a fantastic day!\
"""
)
contacts_bot: Callable[[Translator], str] = lambda translator: translator.translate(
    """\
If you encounter any issues with this bot, please reach out to our dedicated technicians:

- Muhammad:
  - WhatsApp: https://api.whatsapp.com/send?phone=6282156978782
  - Telegram: https://t.me/muha_aku

- Rexya:
  - WhatsApp: https://api.whatsapp.com/send?phone=6288222553434
  - Email: rexya@infiartt.com

Join the TTMediaBot Official Group on Telegram: https://t.me/TTMediaBot_chat\
"""
)
fallback_service = "yt"
loop_timeout = 0.01
max_message_length = 512
recents_max_lenth = 64
tt_event_timeout = 2

directory = os.path.dirname(os.path.dirname(os.path.abspath(__file__)))
